You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@isis.apache.org by da...@apache.org on 2014/07/28 15:28:57 UTC

[19/39] git commit: ISIS-839: recreate-archetype.sh script should automatically commit changes.

ISIS-839: recreate-archetype.sh script should automatically commit changes.


Project: http://git-wip-us.apache.org/repos/asf/isis/repo
Commit: http://git-wip-us.apache.org/repos/asf/isis/commit/1a459a58
Tree: http://git-wip-us.apache.org/repos/asf/isis/tree/1a459a58
Diff: http://git-wip-us.apache.org/repos/asf/isis/diff/1a459a58

Branch: refs/heads/master
Commit: 1a459a584e8f16503add8352d07ee8328d6a3256
Parents: 24aeeba
Author: Dan Haywood <da...@haywood-associates.co.uk>
Authored: Thu Jul 24 16:04:14 2014 +0100
Committer: Dan Haywood <da...@haywood-associates.co.uk>
Committed: Thu Jul 24 18:22:02 2014 +0100

----------------------------------------------------------------------
 scripts/recreate-archetype.sh | 9 +++++++++
 1 file changed, 9 insertions(+)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/isis/blob/1a459a58/scripts/recreate-archetype.sh
----------------------------------------------------------------------
diff --git a/scripts/recreate-archetype.sh b/scripts/recreate-archetype.sh
index 5538198..ea97270 100644
--- a/scripts/recreate-archetype.sh
+++ b/scripts/recreate-archetype.sh
@@ -1,3 +1,10 @@
+JIRA=$1
+
+if [ ! "$JIRA" ]; then
+    echo "usage: $(basename $0) ISIS-nnn"
+    exit 1
+fi
+
 export ISISART=$(basename $(pwd))-archetype
 
 TOFIX=""
@@ -68,3 +75,5 @@ rm -rf ../../archetype/$ISISCPN
 echo "adding new archetype ..."
 mv target/generated-sources/archetype ../../archetype/$ISISCPN
 git add ../../archetype/$ISISCPN
+git commit -m "$JIRA: recreating $ISISCPN archetype"
+